<script setup>
import { onShow } from "@dcloudio/uni-app";
import ICON from "../../static/images/wxweb.png";
import {toPage} from "../../utils/uils";

onShow(() => {
    const ua = navigator.userAgent.toLowerCase();
    if (ua.indexOf("micromessenger") === -1) {
        toPage('/pages/home/index');
    }
});
</script>

<template>
    <image :src="ICON" mode="aspectFill" class="!w-full !h-screen max-image"></image>
</template>

<style scoped lang="scss">
.max-image {
    width: 100%;
    height: 100vh;
}
</style>
